Subject: Re: 1.3.12: rm -rf on directory with open files hangs
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Thu, 08 Aug 2002 09:20:21 -0400
Newsgroups: gmane.os.cygwin

Michael Beach wrote:

> Hi all, I've been bitten lately by rm -rf on a directory occasionally 
> hanging. After some fooling around, I've come up with a simple way of 
> reproducing the problem. I'm currently using 1.3.12 of the DLL on Windows 
> 2000 Professional SP2. Results from 'cygcheck -s -v -r' are attached.

I have a patch for this that I have not yet submitted.  The unlink()
system call needs to rename the file to a temporary directory and
then remove the file.

I'll post the patch to cygwin-patches in a bit.

Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/